Subject: bug#24002: configure: missing call to AC_C_FLEXIBLE_ARRAY_MEMBER

From: Thomas Klausner <[email-masked]>
Date: Wed, 15 Mar 2017 15:05:37 +0100

On Wed, Mar 01, 2017 at 09:26:52AM +0100, Andy Wingo wrote:
> Hi Thomas,
> 
> On Sat 16 Jul 2016 11:13, Thomas Klausner <[email-masked]> writes:
> 
> > On NetBSD, the build of guile-2.0.12 breaks early because
> > FLEXIBLE_ARRAY_MEMBER is not defined:
> >
> > In file included from strftime.c:33:0:
> > time-internal.h:48:14: error: 'FLEXIBLE_ARRAY_MEMBER' undeclared here (not in a function)
> >    char abbrs[FLEXIBLE_ARRAY_MEMBER];
> 
> I just pulled in an updated Gnulib which I hope fixes this problem.  If
> you build from Git then you should be able to verify the fix, or wait
> until we have another release.

I just tried the 2.1.8 release (from March 10, so after your mail),
and the problem still exists.

Cheers,
 Thomas